Loading...
Searching...
No Matches
mongocxx::v_noabi::index_model Class Reference

`#include <mongocxx/v_noabi/mongocxx/index_model.hpp>`

## Description

Used by mongocxx::v_noabi::index_view.

## Public Member Functions

| index_model (bsoncxx::v_noabi::document::view_or_value const &keys, bsoncxx::v_noabi::document::view_or_value const &options={})
| Initializes a new index_model over a mongocxx::v_noabi::collection.
| index_model (index_model &&) noexcept
| Move constructs an index_model.
| index_model (index_model const &)
| Copy constructs an index_model.
| ~index_model ()
| Destroys an index_model.
bsoncxx::v_noabi::document::view | keys () const
| Retrieves keys of an index_model.
index_model & | operator= (index_model &&) noexcept
| Move assigns an index_model.
index_model & | operator= (index_model const &)=default
| Copy assigns an index_model.
bsoncxx::v_noabi::document::view | options () const
| Retrieves options of an index_model.

## Constructor & Destructor Documentation

## index_model() [1/3]

mongocxx::v_noabi::index_model::index_model | ( | bsoncxx::v_noabi::document::view_or_value const & | keys,
|  | bsoncxx::v_noabi::document::view_or_value const & | options = {} )

Initializes a new index_model over a mongocxx::v_noabi::collection.

## index_model() [2/3]

mongocxx::v_noabi::index_model::index_model | ( | index_model && |  | ) |

noexcept

Move constructs an index_model.

## index_model() [3/3]

mongocxx::v_noabi::index_model::index_model | ( | index_model const & |  | ) |

Copy constructs an index_model.

## ~index_model()

mongocxx::v_noabi::index_model::~index_model | ( |  | ) |

Destroys an index_model.

## Member Function Documentation

## keys()

bsoncxx::v_noabi::document::view mongocxx::v_noabi::index_model::keys | ( |  | ) | const

Retrieves keys of an index_model.

## operator=() [1/2]

index_model & mongocxx::v_noabi::index_model::operator= | ( | index_model && |  | ) |

noexcept

Move assigns an index_model.

## operator=() [2/2]

index_model & mongocxx::v_noabi::index_model::operator= | ( | index_model const & |  | ) |

default

Copy assigns an index_model.

## options()

bsoncxx::v_noabi::document::view mongocxx::v_noabi::index_model::options | ( |  | ) | const

Retrieves options of an index_model.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/index_model.hpp